curl --request PATCH \
--url https://api.cartesia.ai/pronunciation-dicts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"items": [
{
"text": "<string>",
"pronunciation": "<string>",
"alias": "<string>"
}
]
}
'import requests
url = "https://api.cartesia.ai/pronunciation-dicts/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"items": [
{
"text": "<string>",
"pronunciation": "<string>",
"alias": "<string>"
}
]
}
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Cartesia-Version': '<cartesia-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
items: [{text: '<string>', pronunciation: '<string>', alias: '<string>'}]
})
};
fetch('https://api.cartesia.ai/pronunciation-dicts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pdict_123",
"name": "Acme",
"description": "An example dictionary",
"is_owner": true,
"pinned": false,
"access": {
"type": "private",
"visibility": "owner"
},
"items": [
{
"text": "acme",
"alias": "<<ˈ|æ|k|m|i>>",
"pronunciation": "<<ˈ|æ|k|m|i>>"
}
],
"created_at": "2025-10-27T14:54:26.68581Z",
"owner_id": "org_123"
}Update
Update a pronunciation dictionary
Authorizations
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
Headers
API version header.
2026-03-01 "2026-03-01"
Path Parameters
ID of the pronunciation dictionary to update
Body
Request to update an existing pronunciation dictionary
New name for the pronunciation dictionary
New description for the pronunciation dictionary
Updated list of pronunciation mappings
Show child attributes
Show child attributes
Change who can access the pronunciation dictionary
Show child attributes
Show child attributes
Response
A dictionary of text-to-pronunciation mappings
Unique identifier for the pronunciation dictionary
Name of the pronunciation dictionary
Description of the pronunciation dictionary
Whether your organization owns the pronunciation dictionary.
Who can access the pronunciation dictionary
Show child attributes
Show child attributes
Whether this dictionary is pinned for the user
List of text-to-pronunciation mappings
Show child attributes
Show child attributes
ISO 8601 timestamp of when the dictionary was created
ID of the user who owns this dictionary. Use is_owner instead.
Was this page helpful?